Name:           perl-String-Formatter
Version:        0.102082
Release:        1%{?dist}
Summary:        Build sprintf-like functions of your own
License:        GPLv2
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/String-Formatter/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/String-Formatter-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Params::Util)
BuildRequires:  perl(Sub::Exporter)
# tests
BuildRequires:  perl(Pod::Coverage::TrustPod)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
String::Formatter is a tool for building sprintf-like formatting routines.
It supports named or positional formatting, custom conversions, fixed
string interpolation, and simple width-matching out of the box. It is easy
to alter its behavior to write new kinds of format string expanders. For
most cases, it should be easy to build all sorts of formatters out of the
options built into String::Formatter.

%prep
%setup -q -n String-Formatter-%{version}

# don't install benchmark
sed -i -e '1s~#!perl~#!%{__perl}~' bench.pl
mkdir eg
mv bench.pl eg

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
RELEASE_TESTING=1 make test

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README eg/bench.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Nov 03 2010 Iain Arnell <iarnell@gmail.com> 0.102082-1
- update to latest upstream

* Fri Jul 30 2010 Iain Arnell <iarnell@gmail.com> 0.102080-1
- update to latest upstream
- update spec for modern rpmbuild

* Tue Jun 15 2010 Iain Arnell <iarnell@gmail.com> 0.101620-1
- update to latest upstream

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.100720-2
- Mass rebuild with perl-5.12.0

* Fri Apr 02 2010 Iain Arnell <iarnell@gmail.com> 0.100720-1
- Specfile autogenerated by cpanspec 1.78.
- use perl_default_filter and DESTDIR
- install bench.pl as documentation
